<?xml version="1.0" encoding="UTF_8"?>
<ProfessionalCap>
    <tag key="HAL_CUSTOM_SUPPORTED_ISO_VALUES" type="uint8_t">
        <value type="string2Enum">CAMERA_ISO_AUTO</value>
        <value type="string2Enum">CAMERA_ISO_100</value>
        <value type="string2Enum">CAMERA_ISO_200</value>
        <value type="string2Enum">CAMERA_ISO_400</value>
        <value type="string2Enum">CAMERA_ISO_800</value>
        <value type="string2Enum">CAMERA_ISO_1600</value>
    </tag>
    <tag key="HAL_CUSTOM_SENSOR_ISO_RANGE" type="int32_t">
        <value>50</value>
        <value>3200</value>
    </tag>
    <tag key="HAL_CUSTOM_SENSOR_EXPOSURE_RANGE" type="int32_t">
        <value>250</value>
        <value>30000000</value>
    </tag>
    <tag key="HAL_CUSTOM_SENSOR_WB_RANGE" type="int32_t">
        <value>2800</value>
        <value>10000</value>
    </tag>
    <tag key="HAL_CUSTOM_REQUEST_AVAILABLE_CAPABILITIES_RAW" type="uint8_t">
        <value>32</value>        <!-- HAL_PIXEL_FORMAT_RAW16 -->
    </tag>
    <tag key="CAMERA_SENSOR_FORWARD_MATRIX1" type="CameraMetadataRational">
        <value>712, 1024</value>
        <value>249, 1024</value>
        <value>24, 1024</value>
        <value>261, 1024</value>
        <value>1001, 1024</value>
        <value>-238, 1024</value>
        <value>-18, 1024</value>
        <value>-323, 1024</value>
        <value>1186, 1024</value>
    </tag>
    <tag key="CAMERA_SENSOR_FORWARD_MATRIX2" type="CameraMetadataRational">
        <value>749, 1024</value>
        <value>108, 1024</value>
        <value>129, 1024</value>
        <value>229, 1024</value>
        <value>890, 1024</value>
        <value>-95, 1024</value>
        <value>-198, 1024</value>
        <value>-509, 1024</value>
        <value>1552, 1024</value>
    </tag>
</ProfessionalCap>
